Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ImageMediaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ImageMediaType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ImageMediaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Image Media Type', and utility methods for working with them. abstDomain: V14839 (C-0-D14824-V14839-cpt)

See Also:
  `CDAR2Package.getImageMediaType()`

Field Summary
`static int` | `IMAGE_G3FAX` The 'Image G3fax' literal value.
`static ImageMediaType` | `IMAGE_G3FAX_LITERAL` The 'Image G3fax' literal object.
`static int` | `IMAGE_GIF` The 'Image Gif' literal value.
`static ImageMediaType` | `IMAGE_GIF_LITERAL` The 'Image Gif' literal object.
`static int` | `IMAGE_JPEG` The 'Image Jpeg' literal value.
`static ImageMediaType` | `IMAGE_JPEG_LITERAL` The 'Image Jpeg' literal object.
`static int` | `IMAGE_PNG` The 'Image Png' literal value.
`static ImageMediaType` | `IMAGE_PNG_LITERAL` The 'Image Png' literal object.
`static int` | `IMAGE_TIFF` The 'Image Tiff' literal value.
`static ImageMediaType` | `IMAGE_TIFF_LITERAL` The 'Image Tiff' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Image Media Type' enumerators.

Method Summary
`static ImageMediaType` | `get(int value)` Returns the 'Image Media Type' literal with the specified integer value.
`static ImageMediaType` | `get(java.lang.String literal)` Returns the 'Image Media Type' literal with the specified literal value.
`static ImageMediaType` | `getByName(java.lang.String name)` Returns the 'Image Media Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IMAGE_G3FAX

    public static final int IMAGE_G3FAX

  The 'Image G3fax' literal value.

  If the meaning of 'Image G3fax' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMAGE_G3FAX_LITERAL`, Constant Field Values

### IMAGE_GIF

    public static final int IMAGE_GIF

  The 'Image Gif' literal value.

  If the meaning of 'Image Gif' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMAGE_GIF_LITERAL`, Constant Field Values

### IMAGE_JPEG

    public static final int IMAGE_JPEG

  The 'Image Jpeg' literal value.

  If the meaning of 'Image Jpeg' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMAGE_JPEG_LITERAL`, Constant Field Values

### IMAGE_PNG

    public static final int IMAGE_PNG

  The 'Image Png' literal value.

  If the meaning of 'Image Png' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMAGE_PNG_LITERAL`, Constant Field Values

### IMAGE_TIFF

    public static final int IMAGE_TIFF

  The 'Image Tiff' literal value.

  If the meaning of 'Image Tiff' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMAGE_TIFF_LITERAL`, Constant Field Values

### IMAGE_G3FAX_LITERAL

    public static final ImageMediaType IMAGE_G3FAX_LITERAL

  The 'Image G3fax' literal object.

  See Also:
    `IMAGE_G3FAX`

### IMAGE_GIF_LITERAL

    public static final ImageMediaType IMAGE_GIF_LITERAL

  The 'Image Gif' literal object.

  See Also:
    `IMAGE_GIF`

### IMAGE_JPEG_LITERAL

    public static final ImageMediaType IMAGE_JPEG_LITERAL

  The 'Image Jpeg' literal object.

  See Also:
    `IMAGE_JPEG`

### IMAGE_PNG_LITERAL

    public static final ImageMediaType IMAGE_PNG_LITERAL

  The 'Image Png' literal object.

  See Also:
    `IMAGE_PNG`

### IMAGE_TIFF_LITERAL

    public static final ImageMediaType IMAGE_TIFF_LITERAL

  The 'Image Tiff' literal object.

  See Also:
    `IMAGE_TIFF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Image Media Type' enumerators.

Method Detail

### get

    public static ImageMediaType get(java.lang.String literal)

  Returns the 'Image Media Type' literal with the specified literal value.

### getByName

    public static ImageMediaType getByName(java.lang.String name)

  Returns the 'Image Media Type' literal with the specified name.

### get

    public static ImageMediaType get(int value)

  Returns the 'Image Media Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD